package com.muzhi.pake;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;


//@MapperScan("com.muzhi.pake.mapper")
@EnableAsync//开启异步注解
@SpringBootApplication(exclude= DataSourceAutoConfiguration.class)//启动时不加载数据库(exclude= DataSourceAutoConfiguration.class)
@EnableScheduling//开启定时任务
//@ComponentScan(basePackages = {"com.muzhi"})
public class PaKeApplication {

    public static void main(String[] args){
        SpringApplication.run(PaKeApplication.class, args);
    }

}
